MysqlndUhConnection::getServerInformation
MysqlndUhConnection::getServerVersion
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getServerStatistics

Gets the current system status

### Description

public string MysqlndUhConnection::getServerStatistics ( mysqlnd_connection `$connection` )

Gets the current system status.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

The system status message.

### Examples

Example #1 MysqlndUhConnection::getServerStatistics example

`<?php
class proxy extends MysqlndUhConnection {
public function getServerStatistics($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getServerStatistics($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump(mysqli_stat($mysqli));
?>`

The above example will output:

    proxy::getServerStatistics(array (
      0 => NULL,
    ))
    proxy::getServerStatistics returns 'Uptime: 2059995  Threads: 1  Questions: 126157  Slow queries: 0  Opens: 6377  Flush tables: 1  Open tables: 18  Queries per second avg: 0.61'
    string(140) "Uptime: 2059995  Threads: 1  Questions: 126157  Slow queries: 0  Opens: 6377  Flush tables: 1  Open tables: 18  Queries per second avg: 0.61"

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_stat
- mysql_stat